Project

General

Profile

Actions

Bug #10995

closed

2.2.1 fails at make install with mingw-w64 on archlinux

Added by ntzrmtthihu777 (Marty Plummer) over 7 years ago. Updated about 7 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
ruby -v:
ruby 2.2.1p85 (2015-02-26 revision 49769) [x86_64-linux]
[ruby-core:<unknown>]

Description

Greetings. Working on updating the PKGBUILD for mingw-w64-ruby on the AUR, and ran into a curious issue. Compilation itself works fine, and even the make install step works fine (for i686-w64-mingw, at the least) up untill the point it attempts to install bundle gems, after which it dies with an error with fiddle.


Files

mingw-w64-ruby-2.2.1-1-x86_64-build.log (91.9 KB) mingw-w64-ruby-2.2.1-1-x86_64-build.log build stage, works fine. ntzrmtthihu777 (Marty Plummer), 03/21/2015 07:31 PM
mingw-w64-ruby-2.2.1-1-x86_64-package.log (23.5 KB) mingw-w64-ruby-2.2.1-1-x86_64-package.log packaging/make install, breaks at install bundle gems. ntzrmtthihu777 (Marty Plummer), 03/21/2015 07:31 PM

Related issues 1 (0 open1 closed)

Is duplicate of Ruby master - Bug #10948: When cross-compiling Ruby 2.2.1 for Win32, securerandom.rb fails while trying to use Win32 native librariesClosednaruse (Yui NARUSE)Actions
Actions #2

Updated by usa (Usaku NAKAMURA) over 7 years ago

  • Related to Bug #10948: When cross-compiling Ruby 2.2.1 for Win32, securerandom.rb fails while trying to use Win32 native libraries added
Actions #3

Updated by usa (Usaku NAKAMURA) over 7 years ago

  • Related to deleted (Bug #10948: When cross-compiling Ruby 2.2.1 for Win32, securerandom.rb fails while trying to use Win32 native libraries)
Actions #4

Updated by usa (Usaku NAKAMURA) over 7 years ago

  • Is duplicate of Bug #10948: When cross-compiling Ruby 2.2.1 for Win32, securerandom.rb fails while trying to use Win32 native libraries added
Actions #5

Updated by ntzrmtthihu777 (Marty Plummer) over 7 years ago

Usaku NAKAMURA wrote:

Try this patch: https://github.com/ruby/ruby/pull/848/files

That did the trick, many thanks!

Actions #6

Updated by nagachika (Tomoyuki Chikanaga) about 7 years ago

  • Status changed from Open to Closed
  • Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN to 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: REQUIRED

I will merge the patch to ruby_2_2. It seems that securerandom is refactored in trunk and this issue doesn't exist in trunk.
I close this ticket and fill Backport field.

Actions #7

Updated by nagachika (Tomoyuki Chikanaga) about 7 years ago

  • Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: REQUIRED to 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: DONE

The patch was applied to ruby_2_2 branch at r50281.

Actions #8

Updated by usa (Usaku NAKAMURA) about 7 years ago

  • Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: DONE to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONE
Actions

Also available in: Atom PDF